# PATCH /v4/key-value-stores/self/{key}

_Merkl API_

Update a key-value store you own by its canonical key (X-API-Key)

### Path parameters

- `key` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "maxLength": 512,
      "type": "string"
    },
    "publicRead": {
      "type": "boolean"
    },
    "sizeLimit": {
      "minimum": 1,
      "maximum": 1000000,
      "type": "number"
    }
  }
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "maxLength": 512,
      "type": "string"
    },
    "publicRead": {
      "type": "boolean"
    },
    "sizeLimit": {
      "minimum": 1,
      "maximum": 1000000,
      "type": "number"
    }
  }
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "maxLength": 512,
      "type": "string"
    },
    "publicRead": {
      "type": "boolean"
    },
    "sizeLimit": {
      "minimum": 1,
      "maximum": 1000000,
      "type": "number"
    }
  }
}
```

## Responses

- **200** Response for status 200

## Example request

```bash
curl -X PATCH "https://api.merkl.xyz//v4/key-value-stores/self/{key}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```